Internet Explorer compatibility

Are you having issues with ElephantDrive functionality while browsing our site on Internet Explorer?

 

If you are using Internet Explorer and getting the Unsupported Browser Message when you go to our login page, there are two possible problems:

  • You are in compatibility view.
  • You are using Internet Explorer 9 (IE9) or older.

If you are in compatibility mode, simply taking your browser out of compatibility view will resolve the issue.

If you are using IE 9 or older you will not be able to log in! The version of Microsoft Windows you are using is no longer supported by Microsoft or ElephantDrive. Your only option is to upgrade your browser to IE 10 or later.

To ensure you have the best experience and the highest level of security possible, it is highly recommended that you upgrade to Internet Explorer 10 or 11.

If you are using IE 10 or later and are not in compatibility mode, you should be able to access our applications. It is likely that your browser is misreporting the compatibility view settings. A browser reset will usually resolve this issue, use the following link for instructions on how to reset Internet Explorer. http://support.microsoft.com/kb/923737 if you are still having an issue please contact support at support@elephantdrive.com.

If you have any other questions or feel that you are getting the unsupported browser message in error please contact support at support@elephantdrive.com

Have more questions? Submit a request

Comments

Powered by Zendesk